Arch Linuxta nvidia açık kaynak sürücülerini kuramama sorunu

Merhaba arkadaşlar, nasılsınız? Nvidia´ nın open driverlarını Arch Linuxta kurmak istiyorum ama hem Arch wikiden hem Githubdan hem de YouTubde dan nasıl yapılacağına baktım. Adımları tek tek yapıp yeniden başlatıyorum ama yine de nouveau driverlarında kalıyor. Lütfen yardım edin, Azerbaycandan seviliyorsunuz. Okuduğunuz için teşekkür ederim (Zen kernel kullanıyorum, nvidia-open-dkms yada nvidia-dkms kuruyorum yine olmuyor)

Aynı sorunu bende yaşıyorum. Fakat ben bilgi eksikliğimden dolayı yaşıyorum. Kapalı kaynak kurmayı denedim önce beceremedim sonra da kaynaklarla düzgün ilerleyemedim. Endeavour os kullanıyorken açık kaynak kurmak istiyorum ekran kartı driverlerımı. Fakat nasıl yapacağımı bilmiyorum ,kaynak okumakta zorlanıyorum. Yardımcı olabilecek kişiler var ise ben de bu postu takip ederek kurmak istiyorum. Şimdiden teşekkür ederim.

Sistem Özellikleri:
HP victus 15 laptop
İşlemci: İntel İ5 13.nesil
Ekran Kartı: Nvidia RTX4050
Ram: 16 Gb 3200 Mhz
Ssd: 512 gb

Dipnot: Birkaç kez kurmayı deneyip reboot esnasında siyah ekranda kaldığım için şuanlık kurmadım intelin Xiris kartını kullanıyorum. Kaynak ise ingilizcem yeterli gelmediği için okumakta zorlanıyorum.

Merhaba, istediğiniz şeyler benzer olmakla birlikte Nvidia açık kaynak ve kapalı kaynak driver yükleme özelinde ufak farklılıklar mevcut. Aynı zamanda da konuda bahsedildiği gibi zen/hardened/lts ile normal kernel arasında da yüklenecek paketler özelinde ufak farklar var. Ama bunları halledebilirim derseniz aşağıdaki rehbere göz atabilirsiniz.

Eğer 470 sürücüsü çıktıysa aşağıdaki komut ile sürücüyü kurun. (Bu sürücü kernel 5.18 ya da sonrasında çalışmayabilir.)

sudo pacman -S nvidia-470xx-dkms nvidia-470xx-utils lib32-nvidia-470xx-utils

Eğer 390 sürücüsü çıktıysa aşağıdaki komut ile sürücüyü kurun. (Bu sürücü kernel 5.18 ya da sonrasında çalışmayabilir.)

sudo pacman -S nvidia-390xx-dkms nvidia-390xx-utils lib32-nvidia-390xx-utils

ben bu 470 veya 390 mevzusunu nasıl öğreneceğim

Bu kısımdan ekran kartınızı aradığınızda size hangi sürümü çıkartıyor ona göre. 3xx, 4xx veya 5xx gibi bir sürüm çıkartıyor olması lazım ona göre anlayabilirsiniz.

1 Like

Ben de 390 kullanıyorum 5.15 kernel’de bile dkms hatası alıyordum. Xanmod kernel kullanmak istemiştim olmamıştı. Günlerce denedim ama yapamadım. Hay senin nvidia lanetine deyip stok kernelde bıraktım en son. Ati’ye can kurban can…

Sorunu çoktan çözmüştüm. Sadece kullandığım kernelin “headers” paketini de kurmam gerekliymiş. Yardım eden her bir arkadaşa teşekkürler

1 Like